TCA Reference - Bug # 56584

Status: Closed Priority: Must have
Author: Alexander Stehlik Category:

Created: 2014-03-05 Assigned To: Francois Suter
Updated: 2014-08-01 Due date:

Subiject: Default value can be set to NULL

Description

Currently only strings are allowed as default values. Setting the default value to NULL would result in an empty string (even if eval is

set to null).

When the patch for #54412 is merged it will be possible to set the default value of a field to NULL when null is set in the eval

configuration.

Related issues:

related to Core - Bug # 54412: Improve default value handling for NULL value ... Resolved 2013-12-14

Associated revisions

Revision ¢56¢5306 - 2014-03-31 18:49 - Francois Suter

[BUGFIX] Default value can be set to NULL

The "default" column property can now be set to NULL.

Resolves: #56584
Releases: 6.2

Change-Id: le3e4e204d2351148d891af459894e401fcc6647f
Reviewed-on: https://review.typo3.0rg/28989

Reviewed-by: Francois Suter
Tested-by: Francois Suter

History

#1 - 2014-03-20 22:44 - Ernesto Baschny
- Priority changed from Should have to Must have
- Target version set to 6.2.0

Patch was merged. :)

#2 - 2014-03-31 18:40 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

#3 - 2014-03-31 18:49 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Tca has been pushed to the review server.
https://review.typo3.org/28989

It is available at https://review.typo3.0rg/28989

#4 - 2014-03-31 19:42 - Francois Suter
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:c56c53062a07684c42ee22af5efd7af4f9768d58.

#5 - 2014-08-01 14:22 - Francois Suter
- Status changed from Resolved to Closed
